curl -X POST "https://heimdall.qa.zoniqx.com/non-custodial-evm/withdrawals" \
-H "Authorization: Bearer <accessToken>" \
-H "x-tenant-id: <your-tenant-id>" \
-H "Content-Type: application/json" \
-d '{
"amount": "string",
"assetType": "string",
"source": {
"id": "string",
"type": "WALLET"
},
"destination": {
"id": "string",
"type": "WALLET"
},
"description": "string",
"provider": "anchorage",
"withdrawalAmlQuestionnaire": {
"purpose": "TRADING_SETTLEMENT",
"destinationType": "FINANCIAL_INSTITUTION",
"recipientType": "DESTINATION_INSTITUTION",
"selfhostedDescription": "string",
"institutionName": "string",
"institutionCountry": "string",
"originatorType": "MY_ORGANIZATION",
"originatorName": "string",
"originatorCountry": "string",
"originatorStreetAddress": "string",
"originatorCity": "string",
"originatorStateProvince": "string",
"originatorPostalCode": "string",
"recipientFirstName": "string",
"recipientLastName": "string",
"recipientFullName": "string",
"recipientCountry": "string",
"recipientStreetAddress": "string",
"recipientCity": "string",
"recipientStateProvince": "string",
"recipientPostalCode": "string"
}
}'const response = await fetch("https://heimdall.qa.zoniqx.com/non-custodial-evm/withdrawals", {
method: "POST",
headers: {
"Authorization": "Bearer <accessToken>",
"x-tenant-id": "<your-tenant-id>",
"Content-Type": "application/json",
},
body: JSON.stringify({
"amount": "string",
"assetType": "string",
"source": {
"id": "string",
"type": "WALLET"
},
"destination": {
"id": "string",
"type": "WALLET"
},
"description": "string",
"provider": "anchorage",
"withdrawalAmlQuestionnaire": {
"purpose": "TRADING_SETTLEMENT",
"destinationType": "FINANCIAL_INSTITUTION",
"recipientType": "DESTINATION_INSTITUTION",
"selfhostedDescription": "string",
"institutionName": "string",
"institutionCountry": "string",
"originatorType": "MY_ORGANIZATION",
"originatorName": "string",
"originatorCountry": "string",
"originatorStreetAddress": "string",
"originatorCity": "string",
"originatorStateProvince": "string",
"originatorPostalCode": "string",
"recipientFirstName": "string",
"recipientLastName": "string",
"recipientFullName": "string",
"recipientCountry": "string",
"recipientStreetAddress": "string",
"recipientCity": "string",
"recipientStateProvince": "string",
"recipientPostalCode": "string"
}
}),
});
const data = await response.json();type NonCustodialEvmController_createWithdrawalResponse = Record<string, unknown>;
const response = await fetch("https://heimdall.qa.zoniqx.com/non-custodial-evm/withdrawals", {
method: "POST",
headers: {
Authorization: "Bearer <accessToken>",
"x-tenant-id": "<your-tenant-id>",
"Content-Type": "application/json",
},
body: JSON.stringify({
"amount": "string",
"assetType": "string",
"source": {
"id": "string",
"type": "WALLET"
},
"destination": {
"id": "string",
"type": "WALLET"
},
"description": "string",
"provider": "anchorage",
"withdrawalAmlQuestionnaire": {
"purpose": "TRADING_SETTLEMENT",
"destinationType": "FINANCIAL_INSTITUTION",
"recipientType": "DESTINATION_INSTITUTION",
"selfhostedDescription": "string",
"institutionName": "string",
"institutionCountry": "string",
"originatorType": "MY_ORGANIZATION",
"originatorName": "string",
"originatorCountry": "string",
"originatorStreetAddress": "string",
"originatorCity": "string",
"originatorStateProvince": "string",
"originatorPostalCode": "string",
"recipientFirstName": "string",
"recipientLastName": "string",
"recipientFullName": "string",
"recipientCountry": "string",
"recipientStreetAddress": "string",
"recipientCity": "string",
"recipientStateProvince": "string",
"recipientPostalCode": "string"
}
}),
});
const data: NonCustodialEvmController_createWithdrawalResponse = await response.json();import requests
url = "https://heimdall.qa.zoniqx.com/non-custodial-evm/withdrawals"
headers = {
"Authorization": "Bearer <accessToken>",
"x-tenant-id": "<your-tenant-id>",
}
payload = {
"amount": "string",
"assetType": "string",
"source": {
"id": "string",
"type": "WALLET"
},
"destination": {
"id": "string",
"type": "WALLET"
},
"description": "string",
"provider": "anchorage",
"withdrawalAmlQuestionnaire": {
"purpose": "TRADING_SETTLEMENT",
"destinationType": "FINANCIAL_INSTITUTION",
"recipientType": "DESTINATION_INSTITUTION",
"selfhostedDescription": "string",
"institutionName": "string",
"institutionCountry": "string",
"originatorType": "MY_ORGANIZATION",
"originatorName": "string",
"originatorCountry": "string",
"originatorStreetAddress": "string",
"originatorCity": "string",
"originatorStateProvince": "string",
"originatorPostalCode": "string",
"recipientFirstName": "string",
"recipientLastName": "string",
"recipientFullName": "string",
"recipientCountry": "string",
"recipientStreetAddress": "string",
"recipientCity": "string",
"recipientStateProvince": "string",
"recipientPostalCode": "string"
}
}
response = requests.post(url, headers=headers, json=payload)
data = response.json()